# 处理 `main.zh.mo`

`main.zh.mo` 无法通过 GNU gettext 工具读取。所幸可以使用 [gettext-parser](https://github.com/smhg/gettext-parser) 进行处理。

`main.js` 调用 gettext-parser 解析文件，同时使用 prettier 格式化输出，参数为 `node main.js <input_path> <output_path>`。

以下示例命令用于解析 31.0 版本的 mo 文件。

```bash
node main.js ../extraction/raw-31-0/main.zh.mo ../clean/31-0/main.zh.mo.json
```
